package ${domain}.action.api.wsys;

import ${domain}.frame.auth.LocalData;
import ${domain}.module.wsys.mgr.DictManager;
import ${domain}.module.wsys.req.DictFindRequest;
import ${domain}.module.wsys.req.DictLoadRequest;
import ${domain}.module.wsys.rsp.DictFindResponse;
import ${domain}.module.wsys.rsp.DictLoadResponse;
import org.springframework.beans.factory.annotation.Autowired;

public class DictApi {

    @Autowired
    private DictManager dictManager;

    public DictFindResponse find(DictFindRequest request) {
        return dictManager.find(request, LocalData.getToken());
    }

    public DictLoadResponse load(DictLoadRequest request) {
        return dictManager.load(request, LocalData.getToken());
    }
}
